# $Revision: 1.7 $, $Date: 2005/01/03 12:44:37 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Unaccent
Summary:	Text::Unaccent - remove accents from a string
Summary(pl):	Text::Unaccent - usuwanie akcentw z napisw
Name:		perl-Text-Unaccent
Version:	1.08
Release:	1
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9ac9b28cbb66f4829a50d563ace79cb5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Unaccent is a module that provides functions to remove accents
from a string. For instance the string t will become ete. The
charset of the input string is specified as an argument. The input is
converted to UTF-16 using iconv(3), accents are stripped and the
result is converted back to the original charset. The iconv --list
command on GNU/Linux will show all charset supported.

Text-Unaccent-1.01 has the same unac.[ch] files than unac-1.1.0.

%description -l pl
Text::Unaccent to modu dostarczajcy funkcje do usuwania akcentw z
napisw. Na przykad tekst t zostanie zamieniony na ete. Zestaw
znakw acucha wejciowego jest podawany jako argument. Wejcie jest
konwertowane do UTF-16 przy uyciu iconv(3), usuwane s akcenty, a
wynik jest konwertowany z powrotem do oryginalnego zestawu znakw.
Obsugiwane zestawy znakw mona sprawdzi poleceniem iconv --list.

Text-Unaccent-1.01 ma te same pliki unac.[ch] co unac-1.1.0.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	LIBS= \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Text/*.pm
%dir %{perl_vendorarch}/auto/Text/Unaccent
%{perl_vendorarch}/auto/Text/Unaccent/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Text/Unaccent/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Unaccent.spec,v $
Revision 1.7  2005/01/03 12:44:37  adamg
- updated to 1.08

Revision 1.6  2004/11/03 22:30:50  paladine
- formatting

Revision 1.5  2004/10/31 22:45:36  paladine
- spaces->tabs
- formatting

Revision 1.4  2004/10/24 16:39:26  paladine
- spelling fixes, upercases, etc.

Revision 1.3  2004/06/14 09:35:00  radek
- release 2: it's not noarch

Revision 1.2  2004/06/03 18:21:46  qboosh
- pl

Revision 1.1  2004/06/03 13:53:44  radek
- new (required by DBIx::TextIndex), doesn't work...?
